Deployment with fuel-createmirror failed because some packets cannot be found

Bug #1663498 reported by Vitaly Gusev on 2017-02-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
StackLight
High
Swann Croiset

Bug Description

Steps to reproduce:
Install plugins, run fuel-createmirror command and deploy an env (or run toolchain_createmirror_deploy_plugins)

Expected result:
Deplyment finished successfull

Actual result:
Deployment fails
Deployment has failed. All nodes are finished. Failed tasks: Task[lma-collectd/1], Task[lma-collectd/3], Task[lma-collectd/2] Stopping the deployment process!
on all nodes with
2017-02-10 07:36:01 ERR E: There are problems and -y was used without --force-yes
2017-02-10 07:36:01 ERR collectd
2017-02-10 07:36:01 ERR libpango-1.0-0 libpangoft2-1.0-0 libpangocairo-1.0-0 collectd-core librrd4
2017-02-10 07:36:01 ERR libdatrie1 libgraphite2-3 libharfbuzz0b libthai-data libthai0 fontconfig
2017-02-10 07:36:01 ERR WARNING: The following packages cannot be authenticated!

Fix proposed to branch: master
Review: https://review.openstack.org/433100

Changed in lma-toolchain:
assignee: LMA-Toolchain Fuel Plugins (mos-lma-toolchain) → Swann Croiset (swann-w)
status: New → In Progress

Reviewed: https://review.openstack.org/433100
Committed: https://git.openstack.org/cgit/openstack/fuel-plugin-lma-collector/commit/?id=798254de2b4e7f41dd0bf477ba1e8fe56f112183
Submitter: Jenkins
Branch: master

commit 798254de2b4e7f41dd0bf477ba1e8fe56f112183
Author: Swann Croiset <email address hidden>
Date: Mon Feb 13 15:58:32 2017 +0100

    Force the Puppet Package provider to apt_fuel for collectd package

    This allows to install unauthenitcated packages.

    Change-Id: I23014138f5ce29a17dec0819c1d422676190e522
    Closes-bug: #1663498

Changed in lma-toolchain:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/433108
Committed: https://git.openstack.org/cgit/openstack/fuel-plugin-influxdb-grafana/commit/?id=6baddedafefee43380d7d391b8d5ffd304760c2a
Submitter: Jenkins
Branch: master

commit 6baddedafefee43380d7d391b8d5ffd304760c2a
Author: Swann Croiset <email address hidden>
Date: Mon Feb 13 16:05:44 2017 +0100

    Support fuel-mirror

    The patch forces mysql-client-5.6 package to be installed instead of
    the upstream one.

    Change-Id: I6f3091da03e4712b51ec60f7946f8481f6394ce1
    Related-bug: #1663498

Reviewed: https://review.openstack.org/433177
Committed: https://git.openstack.org/cgit/openstack/fuel-plugin-lma-collector/commit/?id=3cb3a9efdd33fc5900556de547848e1ce7eb0a7f
Submitter: Jenkins
Branch: stable/1.0

commit 3cb3a9efdd33fc5900556de547848e1ce7eb0a7f
Author: Swann Croiset <email address hidden>
Date: Mon Feb 13 15:58:32 2017 +0100

    Force the Puppet Package provider to apt_fuel for collectd package

    This allows to install unauthenitcated packages.

    Change-Id: I23014138f5ce29a17dec0819c1d422676190e522
    Closes-bug: #1663498

Reviewed: https://review.openstack.org/433566
Committed: https://git.openstack.org/cgit/openstack/fuel-plugin-influxdb-grafana/commit/?id=f17eb8dea276f73e9dd0a29757c3907933de462d
Submitter: Jenkins
Branch: stable/1.0

commit f17eb8dea276f73e9dd0a29757c3907933de462d
Author: Swann Croiset <email address hidden>
Date: Mon Feb 13 16:05:44 2017 +0100

    Support fuel-mirror

    The patch forces mysql-client-5.6 package to be installed instead of
    the upstream one.

    Change-Id: I6f3091da03e4712b51ec60f7946f8481f6394ce1
    Related-bug: #1663498
    (cherry picked from commit 6baddedafefee43380d7d391b8d5ffd304760c2a)

Changed in lma-toolchain:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers